summaryrefslogtreecommitdiffstats
path: root/multimedia/makemkv/makemkv.SlackBuild
diff options
context:
space:
mode:
author T3slider2011-09-09 22:20:56 +0200
committer Niels Horn2011-09-22 00:48:31 +0200
commitd6f7c0d0623d35d80247f4776447a896b60c0432 (patch)
tree2a1e02cf69256e7a959397c344fd14a4f7f1636a /multimedia/makemkv/makemkv.SlackBuild
parent631f836d166c25988aca2c53ff6d44bae00f9977 (diff)
downloadslackbuilds-d6f7c0d0623d35d80247f4776447a896b60c0432.tar.gz
multimedia/makemkv: Added (DVD/Blu-ray ripper and transcoder)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia/makemkv/makemkv.SlackBuild')
-rw-r--r--multimedia/makemkv/makemkv.SlackBuild123
1 files changed, 123 insertions, 0 deletions
diff --git a/multimedia/makemkv/makemkv.SlackBuild b/multimedia/makemkv/makemkv.SlackBuild
new file mode 100644
index 0000000000..0b97602779
--- /dev/null
+++ b/multimedia/makemkv/makemkv.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for MakeMKV
+
+# Written by T3slider <t3slider@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=makemkv
+VERSION=${VERSION:-1.6.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=makemkv_v
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHDIR=amd64
+ LIBDIRSUFFIX="64"
+else
+ ARCH="i486"
+ ARCHDIR=i386
+ LIBDIRSUFFIX=""
+fi
+# Note: MakeMKV now includes a mips32 binary, but since there is no official
+# MIPS Slackware port I'm ignoring it unless someone complains. Still no ARM
+# version.
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+# Build the open source component first...
+rm -rf ${SRCNAM}${VERSION}_oss
+tar xvf $CWD/${SRCNAM}${VERSION}_oss.tar.gz
+cd ${SRCNAM}${VERSION}_oss
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make -f makefile.linux
+# The makefile is very simple and patching it would end up wasting more code
+# then doing it manually, so...
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mkdir -p $PKG/usr/bin
+install -t $PKG/usr/lib${LIBDIRSUFFIX} out/libdriveio.so.0 out/libmakemkv.so.1
+install -t $PKG/usr/bin out/makemkv
+for i in 16 22 32 64 128
+do
+ install -D -m 0644 makemkvgui/src/img/${i}/mkv_icon.png $PKG/usr/share/icons/hicolor/${i}x${i}/apps/makemkv.png
+done
+
+# Now extract/copy the closed source component...
+cd $TMP
+rm -rf ${SRCNAM}${VERSION}_bin
+tar xvf $CWD/${SRCNAM}${VERSION}_bin.tar.gz
+cd ${SRCNAM}${VERSION}_bin
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The makefile is very simple and patching it would end up wasting more code
+# then doing it manually. Additionally, nothing is actually compiled. So...
+mkdir -p $PKG/usr/share/MakeMKV
+install -m 644 -t $PKG/usr/share/MakeMKV src/share/makemkv_deu.mo.gz
+install -m 644 -t $PKG/usr/share/MakeMKV src/share/makemkv_jpn.mo.gz
+install -m 644 -t $PKG/usr/share/MakeMKV src/share/makemkv_spa.mo.gz
+install -m 644 -t $PKG/usr/share/MakeMKV src/share/makemkv_ptb.mo.gz
+mkdir -p $PKG/usr/bin
+install -t $PKG/usr/bin bin/$ARCHDIR/makemkvcon
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ src/eula_en_linux.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/applications
+cat $CWD/makemkv.desktop > $PKG/usr/share/applications/makemkv.desktop
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}